#include <bits/stdc++.h>

using namespace std;

int main()
{
    int a, max=1;
    cin >> a;
    int b[a];
    for (int i = 0; i < a; i++)
    {
        cin >> b[i];
        if (b[i]>=max)
        {
            max=b[i];
        }
    }
    cout << max;
}
